@ECHO OFF&PUSHD %~DP0 &TITLE 绿化
taskkill /f /im KuGou*>NUL 2>NUL
taskkill /f /im Kadb* >NUL 2>NUL
taskkill /f /im KGUp*>NUL 2>NUL
regsvr32 /s quartz.dll
del "%tmp%\sadu.exe">NUL 2>NUL
del "%tmp%\KGUpdater.exe">NUL 2>NUL
del "%tmp%\NewUpKuGoo.exe">NUL 2>NUL
rd/s/q "%AppData%\KuGou8\Up"    2>NUL
rd/s/q "%AppData%\KuGou8\UpTemp"2>NUL
rd/s/q "%AppData%\KuGou8\Mobile"2>NUL
rd/s/q "%AppData%\KuGou8\AddIns"2>NUL
rd/s/q "%AppData%\KuGou8\SkinPic"2>NUL
rd/s/q "%AppData%\KuGou8\Upgrade"2>NUL
rd/s/q "%AppData%\KuGou8\AppStore"2>NUL
rd/s/q "%AppData%\KuGou8\WebCache"2>NUL
rd/s/q "%AppData%\KuGou8\SingerImg"2>NUL
rd/s/q "%AppData%\KuGou8\Upgrade.ini"2>NUL
del /q "%AppData%\KuGou8\*.dmp" >NUL 2>NUL
del /f "%AppData%\KuGou8\SingerImg">NUL 2>NUL
rd/s/q "%AppData%\KuGou8\FanxingAvatarRes"2>NUL
if not exist "%AppData%\KuGou8" md "%AppData%\KuGou8"2>NUL
copy  /y  "KuGou.ini\*.ini"  "%AppData%\KuGou8"  >NUL 2>NUL
xcopy /e/i/y KuGou.ini\WebCache "%AppData%\KuGou8\WebCache">NUL 2>NUL
:Menu
echo.&echo 1.创建桌面酷狗音乐快捷方式
echo.&echo 2.设置酷狗为默认音乐播放器
echo.&echo.
set /p a=输入数字回车：
if "%a%"=="1" Goto DesktopLnk
if "%a%"=="2" Goto SetAssoc
:SetAssoc
KuGou.exe -DoAssoc
SET E=完成!&GOTO MSGBOX
:DesktopLnk
mshta VBScript:Execute("Set a=CreateObject(""WScript.Shell""):Set b=a.CreateShortcut(a.SpecialFolders(""Desktop"") & ""\酷狗音乐.lnk""):b.TargetPath=""%~dp0KuGou.exe"":b.WorkingDirectory=""%~dp0"":b.Save:close")&SET E=完成!&GOTO MSGBOX
:MsgBox
if "%1"=="" mshta VBScript:MsgBox("%e%",vbSystemModal,"")(close)&Cls&Goto Menu